@function hover_color($color){
    @if(lightness($color) < 50%){
        @return lighten($color,30%);
    }@else{
        @return darken($color,10%);
    }
}

@function active_color($color){
    @if(lightness($color) < 50%){
        @return lighten($color,40%);
    }@else{
        @return darken($color,20%)
    }
}